declare type TestFn = (name: string) => boolean;
export declare type ContentTypeDef = {
    test: RegExp | TestFn;
    type: string;
    binary?: boolean;
};
export declare type ContentTypeMatch = {
    type: string;
    binary: boolean;
};
export declare type DefaultContentTypesModule = {
    mergeContentTypes: (contentTypes: ContentTypeDef[]) => ContentTypeDef[];
    testFileContentType: (contentTypes: ContentTypeDef[], file: string) => ContentTypeMatch;
};
export declare type AssetBase = {
    contentType: string;
    module: any | null;
    loadModule: () => Promise<any> | null;
    isStatic: boolean;
};
export declare type StringAsset = AssetBase & {
    type: 'string';
    content: string;
};
export declare type BinaryAsset = AssetBase & {
    type: 'binary';
    content: Uint8Array;
};
export declare type Asset = StringAsset | BinaryAsset;
export declare type AssetsMap = {
    [filePath: string]: Asset;
};
export declare type ModuleLoadType = 'static' | 'dynamic';
export declare type ModuleTestResult = ModuleLoadType | false;
export declare type ModuleTestFunction = ((path: string) => true | ModuleTestResult) | null;
export declare type Config = {
    publicDir: string;
    excludeDirs?: string[] | null;
    includeDirs?: string[] | null;
    staticDirs?: string[] | null;
    excludeTest?: ((path: string) => boolean) | null;
    moduleTest?: ModuleTestFunction;
    spa?: string | null;
    autoIndex?: string[] | false | null;
    autoExt?: string[] | false | null;
    notFoundPage?: string | false | null;
    contentTypes?: ContentTypeDef[] | null;
};
export {};
//# sourceMappingURL=types.d.ts.map